Skip to main content

IP Address

Public IP addresses that can be acquired, released, and used for static NAT and remote VPN access.

Resource base path: /restapi/ipaddress

MethodPathDescription
GET/restapi/ipaddress/acquireIpAddressAcquire IP Address
GET/restapi/ipaddress/ipAddressListIP Address List
DELETE/restapi/ipaddress/releaseIpAddressRelease IP Address
POST/restapi/ipaddress/enableStaticNatEnable Static NAT
DELETE/restapi/ipaddress/disableStaticNatDisable Static NAT
GET/restapi/ipaddress/enableremotevpnaccessEnable Remote VPN Access
DELETE/restapi/ipaddress/disableremotevpnaccessDisable Remote VPN Access
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Acquire IP Address​

Acquire IP Address.

GET /restapi/ipaddress/acquireIpAddress

Parameters​

ParameterInTypeRequiredDescription
networkUuidquerystring✅ YesUUID of the network.
networkTypequerystring✅ YesnetworkType (NETWORK, VPC).

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/ipaddress/acquireIpAddress?networkUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890&networkType=VALUE" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listIpAddressResponse": [
{
"publicIpAddress": "string",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"zoneName": "example-name",
"state": "Running",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isSourcenat": true,
"status": "Active"
}
]
}

IP Address List​

IP Address List.

GET /restapi/ipaddress/ipAddressList

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.
networkUuidquerystringNoUUID of the network.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/ipaddress/ipAddressList?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listIpAddressResponse": [
{
"publicIpAddress": "string",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"zoneName": "example-name",
"state": "Running",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isSourcenat": true,
"status": "Active"
}
]
}

Release IP Address​

Release IP Address.

DELETE /restapi/ipaddress/releaseIpAddress

Parameters​

ParameterInTypeRequiredDescription
uuidquerystring✅ YesUUID of the resource.

Example request​

curl -X DELETE \
"https://portal.your-domain.com/restapi/ipaddress/releaseIpAddress?uuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
true

Enable Static NAT​

Enable Static NAT.

POST /restapi/ipaddress/enableStaticNat

Request body​

FieldTypeRequiredDescription
ipAddressUuidstringNoUUID of the public IP address.
vmUuidstringNoUUID of the virtual-machine instance.
networkUuidstringNoUUID of the network.
{
"ipAddressUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"vmUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Example request​

curl -X POST \
"https://portal.your-domain.com/restapi/ipaddress/enableStaticNat" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"ipAddressUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"vmUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}'

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"kongAttachStaticNatResponse": [
{
"ipAddressUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"vmName": "example-name",
"vmUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isActive": true,
"networkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

Disable Static NAT​

Disable Static NAT.

DELETE /restapi/ipaddress/disableStaticNat

Parameters​

ParameterInTypeRequiredDescription
ipAddressUuidquerystring✅ YesUUID of the public IP address.

Example request​

curl -X DELETE \
"https://portal.your-domain.com/restapi/ipaddress/disableStaticNat?ipAddressUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
true

Enable Remote VPN Access​

Enable Remote VPN Access.

GET /restapi/ipaddress/enableremotevpnaccess

Parameters​

ParameterInTypeRequiredDescription
ipAddressUuidquerystring✅ YesUUID of the public IP address.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/ipaddress/enableremotevpnaccess?ipAddressUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listIpAddressResponse": [
{
"publicIpAddress": "string",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"zoneName": "example-name",
"state": "Running",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isSourcenat": true,
"status": "Active"
}
]
}

Disable Remote VPN Access​

Disable Remote VPN Access.

DELETE /restapi/ipaddress/disableremotevpnaccess

Parameters​

ParameterInTypeRequiredDescription
ipAddressUuidquerystring✅ YesUUID of the public IP address.

Example request​

curl -X DELETE \
"https://portal.your-domain.com/restapi/ipaddress/disableremotevpnaccess?ipAddressUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listIpAddressResponse": [
{
"publicIpAddress": "string",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"zoneName": "example-name",
"state": "Running",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isSourcenat": true,
"status": "Active"
}
]
}